Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class CI2PopVar

    java.lang.Object
      org.statcato.statistics.inferential.CI2PopVar

    public class CI2PopVar

extends java.lang.Object

Confidence interval class for two population mean, sigma (population standard deviation) known.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`CI2PopVar(double confidenceLevel, int n1, int n2, double var1, double var2)` Constructor.

Method Summary
`java.lang.String` | `CIStdev()` Returns a string representation of the confidence interval for standard deviation.
`java.lang.String` | `CIVar()` Returns a string representation of the confidence interval for variance.
`double` | `criticalValueLeft()` Returns the left-tail critical value (F_L).
`double` | `criticalValueRight()` Returns the right-tail critical value (F_R).
`double` | `lowerLimit()` Returns the lower limit of the confidence interval.
`double` | `upperLimit()` Returns the upper limit of the confidence interval.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CI2PopVar

    public CI2PopVar(double confidenceLevel,
                     int n1,
                     int n2,
                     double var1,
                     double var2)

  Constructor.

  Parameters:
    `confidenceLevel` - confidence level, between 0 and 1
    `n1` - sample size 1
    `n2` - sample size 2
    `var1` - sample variance 1
    `var2` - sample variance 2

Method Detail

### criticalValueRight

    public double criticalValueRight()

  Returns the right-tail critical value (F_R).

  Returns:
    F_R

### criticalValueLeft

    public double criticalValueLeft()

  Returns the left-tail critical value (F_L).

  Returns:
    F_L

### lowerLimit

    public double lowerLimit()

  Returns the lower limit of the confidence interval.

  Returns:
    lower limit

### upperLimit

    public double upperLimit()

  Returns the upper limit of the confidence interval.

  Returns:
    upper limit

### CIVar

    public java.lang.String CIVar()

  Returns a string representation of the confidence interval for variance.

  Returns:
    string

### CIStdev

    public java.lang.String CIStdev()

  Returns a string representation of the confidence interval for standard deviation.

  Returns:
    string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD